
import hbp_nrp_cle.tf_framework as nrp

@nrp.MapRobotSubscriber("camera", '/husky/camera')
@nrp.MapSpikeSource("startInjector", nrp.brain.startInputNeuron, nrp.injector, n=1, weight=0.12)
@nrp.MapSpikeSource("nextStateInjector", nrp.brain.nextStateNeuron, nrp.injector, n=1,weight=0.12)
@nrp.Robot2Neuron(triggers="camera")
def robotToBrain(t, camera, startInjector, nextStateInjector):
        #keep the camera around for the trigger
        floatTime = float(str(t))
        #start the brain's fsa
        if (floatTime < 0.2): #10.0 =? 100ms 20.0 between 13 and 18?
	        startInjector.inject_spikes()
                start = False
	        clientLogger.info("start inject spikes, time: "+str(t))
        else:
	        nextStateInjector.inject_spikes()
	        clientLogger.info("inject spikes, time: "+str(t))



