#Functions to isolate differences between different list synapse constructors
class NealCoverFunctions:
    def __init__(self, simName,sim):
        self.DELAY = 1.0
        self.simulator = simName
        self.sim = sim

    def nealProjection(self,preNeurons,postNeurons, connectorList,inhExc):
        connList = self.sim.FromListConnector(connectorList)
        SYNAPSE_PARAMS = {}
        staticSynapse = self.sim.StaticSynapse(**SYNAPSE_PARAMS)
        self.sim.Projection(
             presynaptic_population=preNeurons, postsynaptic_population=postNeurons,
             connector=connList, synapse_type=staticSynapse, receptor_type=inhExc)


#        else: print "bad simulator nealProjection"

